Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::OrigIterationOutput Class Reference

Class for the iteration summary output for the original NLP. More...

`#include <IpOrigIterationOutput.hpp>`

Inheritance diagram for Ipopt::OrigIterationOutput:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual void | WriteOutput ()
| Method to do all the summary output per iteration. More...
Constructors/Destructors
| OrigIterationOutput ()
| Default Constructor. More...
virtual | ~OrigIterationOutput ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::IterationOutput
| IterationOutput ()
| Default Constructor. More...
virtual | ~IterationOutput ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for OptionsList. More...

## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| OrigIterationOutput (const OrigIterationOutput &)
| Copy Constructor. More...
void | operator= (const OrigIterationOutput &)
| Overloaded Equals Operator. More...

## Private Attributes
bool | print_info_string_
| Flag indicating weather info string should be printed at end of iteration summary line. More...
InfPrOutput | inf_pr_output_
| Option indication what should be printed in inf_pr column. More...
int | print_frequency_iter_
| Option indicating at which iteration frequency the summary line should be printed. More...
Number | print_frequency_time_
| Option indicating at which time frequency the summary line should be printed. More...

## Additional Inherited Members
Protected Types inherited from Ipopt::IterationOutput
enum | InfPrOutput { INTERNAL =0, ORIGINAL }
| enumeration for different inf_pr output options More...
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Class for the iteration summary output for the original NLP.

Definition at line 19 of file IpOrigIterationOutput.hpp.

## Constructor & Destructor Documentation

Ipopt::OrigIterationOutput::OrigIterationOutput | ( |  | ) |

Default Constructor.

virtual Ipopt::OrigIterationOutput::~OrigIterationOutput | ( |  | ) |
| virtual

Default destructor.

Ipopt::OrigIterationOutput::OrigIterationOutput | ( | const OrigIterationOutput & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::OrigIterationOutput::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::IterationOutput.

virtual void Ipopt::OrigIterationOutput::WriteOutput | ( |  | ) |
| virtual

Method to do all the summary output per iteration.

This include the one-line summary output as well as writing the details about the iterates if desired

Implements Ipopt::IterationOutput.

static void Ipopt::OrigIterationOutput::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

Methods for OptionsList.

void Ipopt::OrigIterationOutput::operator= | ( | const OrigIterationOutput & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

bool Ipopt::OrigIterationOutput::print_info_string_
| private

Flag indicating weather info string should be printed at end of iteration summary line.

Definition at line 61 of file IpOrigIterationOutput.hpp.

InfPrOutput Ipopt::OrigIterationOutput::inf_pr_output_
| private

Option indication what should be printed in inf_pr column.

Definition at line 64 of file IpOrigIterationOutput.hpp.

int Ipopt::OrigIterationOutput::print_frequency_iter_
| private

Option indicating at which iteration frequency the summary line should be printed.

Definition at line 67 of file IpOrigIterationOutput.hpp.

Number Ipopt::OrigIterationOutput::print_frequency_time_
| private

Option indicating at which time frequency the summary line should be printed.

Definition at line 69 of file IpOrigIterationOutput.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpOrigIterationOutput.hpp